| Face Engine SDK 5.31.2 A face detection, recognition and tracking engine.

Public Member Functions | List of all members
fsdk::ILivenessDepthRGBEstimator Struct Referenceabstract
Estimators

Depth+RGB estimator interface. More...

`#include <ILivenessDepthRGBEstimator.h>`

Inheritance diagram for fsdk::ILivenessDepthRGBEstimator:

## Public Member Functions
virtual Result< FSDKError > | estimate (const Image &depth, const Image &rgb, const Detection &detection, const Landmarks5 &landmarks5, DepthRGBEstimation &out) const noexcept=0
| Checks whether or not the detection corresponds to the real person. More...
virtual Result< FSDKError > | estimate (Span< const Image > depths, Span< const Image > rgbs, Span< const Detection > detections, Span< const Landmarks5 > landmarks5, Span< DepthRGBEstimation > outs) const noexcept=0
| Checks several detection on several images to see whether or not the detections corresponds to the real persons. More...
virtual Result< FSDKError > | validate (Span< const Image > depths, Span< const Image > rgbs, Span< const Detection > detections, Span< const Landmarks5 > landmarks5, Span< Result< FSDKError >> errors) const noexcept=0
| Validates input of multiple frames in a single function call. More...
Public Member Functions inherited from fsdk::IRefCounted
virtual int32_t | retain () noexcept=0
| Increase strong reference count. More...
virtual int32_t | retainLocked () noexcept=0
| Increase strong reference count thread safely. More...
virtual int32_t | release () noexcept=0
| Decrease strong reference count. More...
virtual int32_t | getRefCount () const noexcept=0
| Get actual strong reference count. More...
virtual int32_t | retainWeak () noexcept=0
| Increase weak reference count. More...
virtual int32_t | releaseWeak () noexcept=0
| Decrease weak reference count. More...
virtual int32_t | getWeakRefCount () const noexcept=0
| Get actual weak reference count. More...

## Detailed Description

Depth+RGB estimator interface.

Note
  This estimator is designed for face analysis using depth map and RGB frame. It works with 16 bit depth map.

See also
  IDetector for details about how to get a detection of a face.

## Member Function Documentation

## ◆ estimate() [1/2]

virtual Result<FSDKError> fsdk::ILivenessDepthRGBEstimator::estimate | ( | const Image & | depth,
|  | const Image & | rgb,
|  | const Detection & | detection,
|  | const Landmarks5 & | landmarks5,
|  | DepthRGBEstimation & | out
| ) |  | const
| pure virtual noexcept

Checks whether or not the detection corresponds to the real person.

Parameters

  [in] | depth | source depth image (depth map),
  [in] | rgb | source RGB image
  [in] | detection | face detection on the source RGB image (

See also
  rgb parameter)

Parameters

  [in] | landmarks5 | face landmarks on the source RGB image (

See also
  rgb parameter)

Parameters

  [out] | out | DepthRGBEstimation output structure.

Returns
  Result with error code.

See also
  DepthRGBEstimation, Image, Detection, Landmarks5, Result and FSDKError for details.

Note
  depth image format must be Format::R16,

See also
  Format.

Note
  RGB image format must be Format::R8G8B8,

See also
  Format.

## ◆ estimate() [2/2]

virtual Result<FSDKError> fsdk::ILivenessDepthRGBEstimator::estimate | ( | Span< const Image > | depths,
|  | Span< const Image > | rgbs,
|  | Span< const Detection > | detections,
|  | Span< const Landmarks5 > | landmarks5,
|  | Span< DepthRGBEstimation > | outs
| ) |  | const
| pure virtual noexcept

Checks several detection on several images to see whether or not the detections corresponds to the real persons.

Parameters

  [in] | depths | source Depth images span
  [in] | rgbs | source RGB images span
  [in] | detections | face detections span on the source RGB images (

See also
  rgbs)

Parameters

  [in] | landmarks5 | face landmarks on the source RGB images (

See also
  rgbs parameter)

Parameters

  [out] | outs | DepthRGBEstimation output structures span.

Returns
  Result with error code.

See also
  DepthRGBEstimation, Image, Detection, Landmarks5, Span, Result and FSDKError for details.

Note
  depth images format must be Format::R16,

See also
  Format.

Note
  RGB images format must be Format::R8G8B8,

See also
  Format.

Note
  all spans should be based on user owned continuous collections.
  all spans should be equal size.

## ◆ validate()

virtual Result<FSDKError> fsdk::ILivenessDepthRGBEstimator::validate | ( | Span< const Image > | depths,
|  | Span< const Image > | rgbs,
|  | Span< const Detection > | detections,
|  | Span< const Landmarks5 > | landmarks5,
|  | Span< Result< FSDKError >> | errors
| ) |  | const
| pure virtual noexcept

Validates input of multiple frames in a single function call.

Parameters

  [in] | depths | source Depth images span
  [in] | rgbs | source RGB images span
  [in] | detections | face detections span on the source RGB images (

See also
  rgbs)

Parameters

  [in] | landmarks5 | face landmarks on the source RGB images (

See also
  rgbs parameter)

Parameters

  [out] | errors | output span of errors for each image.

See also
  DepthRGBEstimation, Image, Detection, Landmarks5, Span, Result and FSDKError for details.

Note
  depth images format must be Format::R16,

See also
  Format.

Note
  RGB images format must be Format::R8G8B8,

See also
  Format.

Note
  all spans should be based on user owned continuous collections.
  all spans should be equal size.

The documentation for this struct was generated from the following file:

- include/fsdk/Estimators/ILivenessDepthRGBEstimator.h